Package com.netrics.likeit

## Class NetricsServerStats

- java.lang.Object
- - com.netrics.likeit.NetricsServerStats

- All Implemented Interfaces:
    `java.io.Serializable`

      public class NetricsServerStats
      extends java.lang.Object
      implements java.io.Serializable

  This class contains status information on the server process.
  The server will return information on itself, including such things as its product name, version number and enabled features. An object of this class holds a complete report on this server status information returned by the server.
  Objects of this class are generated as the results of a NetricsServerInterface.svr_info call, they can not be created directly.
  See Also:
    `NetricsServerInterface.server_info()`, Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `NetricsServerStats()` | To keep Java happy, never use this constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `boolean` | `autorestore()` | Return whether auto-restore feature is enabled.
    `java.lang.String` | `build_date()` | Return the build date of the server.
    `java.lang.String` | `checkpoint_dir()` | Return the server directory used for checkpoint/restore.
    `java.lang.String` | `devkit_info()` | Return the Devkit Build Information.
    `boolean` | `durable_data()` | Return true if the engine is using the durable-data feature.
    `java.lang.String` | `gateway_cfg()` | Return the gateway configuration file name.
    `java.lang.Integer` | `getEncryptedPort()` | Return the listening port for that server for encrypted communications, or null if encrypted communications are disabled.
    `java.lang.Integer` | `getPlainTextPort()` | Return the listening port for that server for plain-text communications, or null if plain-text communications are disabled.
    `boolean` | `gip_enabled()` | Return true if GIP is the default prefilter.
    `boolean` | `gpu_accleration()` |
    `NetricsGpuDeviceInfo[]` | `gpu_devices()` | Return the list of GPU devices visible to the server.
    `boolean` | `learn_engine()` | Return true if this engine support Learn features.
    `java.lang.Integer` | `max_tables()` | Returns the maximum number of tables allowed by the engine.
    `int` | `max_threads()` | Return maximum number of worker threads.
    `int` | `maxmem_kb()` | Return memory limit for table data.
    `int` | `port()` | Deprecated.
    `java.lang.String` | `product_name()` | Return the official product name.
    `boolean` | `psi_enabled()` | Return true if PSI is the default prefilter.
    `java.lang.String` | `server_info()` | Return the server status string.
    `boolean` | `sort_enabled()` | Return true if SORT is the default prefilter.
    `java.lang.String` | `toString()` | Return report as a string.
    `java.lang.String` | `tranIdleAction()` | Return the current idle transaction action setting.
    `int` | `tranIdleTimeout()` | Return the current idle transaction timeout setting, in seconds.
    `java.lang.String` | `version()` | Return the release version.
    `java.lang.String` | `who_built()` | Return who built the server.

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### NetricsServerStats

          public NetricsServerStats()

      To keep Java happy, never use this constructor

  - ### Method Detail

    - #### toString

          public java.lang.String toString()

      Return report as a string. This formats the server statistics into a human readable report.
      Overrides:
        `toString` in class `java.lang.Object`
      Returns:
        human readable report as a string.

    - #### devkit_info

          public java.lang.String devkit_info()

      Return the Devkit Build Information. This returns the raw Devkit build and configuration string, the special value "(unknown)" if no Devkit information was received.
      Returns:
        the Devkit Build Information.

    - #### server_info

          public java.lang.String server_info()

      Return the server status string. Returns the raw server status string, the special value "(unknown)" if no Server information was received. The server status string is an XML snippet of the form: `
      <server_info>
      <product_name>product name string</product_name>
      <version>full version number</version>
      <build_date>date of build</build_date>
      <who_built>ID of who ran build</who_built>
      `
      Returns:
        the server status string.

    - #### product_name

          public java.lang.String product_name()

      Return the official product name. Returns the official product name for the server, the special value "(unknown)" if no product name was received.
      Returns:
        the official product name.

    - #### version

          public java.lang.String version()

      Return the release version. Returns the full 3 digit release version of the server, the special value "(unknown)" if no version info was received.
      Returns:
        the release version.

    - #### build_date

          public java.lang.String build_date()

      Return the build date of the server. Returns the time and date the server was built in the default date(1) format for the platform, the special value "(unknown)" if no build date information was received.
      Returns:
        the build date of the server.

    - #### who_built

          public java.lang.String who_built()

      Return who built the server. Returns the login ID of who ran the build of this server, the special value "(unknown)" if no who built information was received.
      Returns:
        the login ID of who ran the build of this server.

    - #### port

          @Deprecated
          public int port()

      Deprecated.
      Returns the port number the server is listening on. The special value -1 indicates no port number information is available.
      Returns:
        the port number the server is listening on for plain-text communications, or if plain-text communications are disabled, return the port number the server is listening on for encrypted communications. For embedded servers, -1 is always returned.

    - #### getPlainTextPort

          public java.lang.Integer getPlainTextPort()

      Return the listening port for that server for plain-text communications, or null if plain-text communications are disabled.
      Returns:
        The listening port for that server for plain-text communications, or null if plain-text communications are disabled.

    - #### getEncryptedPort

          public java.lang.Integer getEncryptedPort()

      Return the listening port for that server for encrypted communications, or null if encrypted communications are disabled.
      Returns:
        The listening port for that server for encrypted communications, or null if encrypted communications are disabled.

    - #### max_threads

          public int max_threads()

      Return maximum number of worker threads. This returns the maximum number of simultaneous command processing threads this server will employ, the special value -1 indicates no thread limit information was received.
      Returns:
        maximum number of server worker threads.

    - #### checkpoint_dir

          public java.lang.String checkpoint_dir()

      Return the server directory used for checkpoint/restore. Returns the directory used to hold checkpointed tables. The special value "Not Enabled" is returned if checkpointing is not enabled on this server. The special value "(unknown)" is returned if no directory information was received.
      Returns:
        the server directory used for checkpoint/restore.

    - #### autorestore

          public boolean autorestore()

      Return whether auto-restore feature is enabled. If the server was started with auto-restore feature this is true, if no information was received or the server was not started with auto-restore this returns false.
      Returns:
        whether auto-restore feature is enabled.

    - #### gateway_cfg

          public java.lang.String gateway_cfg()

      Return the gateway configuration file name. Returns the name of the file holding the gateway configuration. The special value "Not a Gateway" is returned if this server is not acting as a gateway. The special value "(unknown)" is returned if no gateway information was received.
      Returns:
        the gateway configuration file name.

    - #### maxmem_kb

          public int maxmem_kb()

      Return memory limit for table data. This returns the combined memory limit for all tables. The value is given in Kilo-Bytes. This is a combined limit for all tables, not an individual table limit. Once this limit is reached attempts to add data to tables will receive a MEMORY_EXCEEDED error. The value 0 indicates there is no limit, the server will continue to allocate memory until the process limit is exceeded, at which point it will abort. The special value -1 indicates no memory limit information was returned.
      Returns:
        the memory limit for table data.

    - #### gip_enabled

          public boolean gip_enabled()

      Return true if GIP is the default prefilter. If GIP is the default prefilter this returns true, if no information was received on the GIP status, or the GIP prefilter is not the default this returns false.
      Returns:
        true if GIP prefilter is the default.

    - #### sort_enabled

          public boolean sort_enabled()

      Return true if SORT is the default prefilter. If SORT is the default prefilter this returns true, if no information was received on the SORT status, or the SORT prefilter is not the default this returns false.
      Returns:
        true if SORT prefilter is the default.

    - #### psi_enabled

          public boolean psi_enabled()

      Return true if PSI is the default prefilter. If PSI is the default prefilter this returns true, if no information was received on the PSI status, or the PSI prefilter is not the default this returns false.
      Returns:
        true if PSI prefilter is the default.

    - #### learn_engine

          public boolean learn_engine()

      Return true if this engine support Learn features. If use of the Learn features are supported this returns true, if no information was received on the learn status, or Learn is not enabled this returns false.
      Returns:
        true if this engine support Learn features.

    - #### durable_data

          public boolean durable_data()

      Return true if the engine is using the durable-data feature. If the engine is using the durable-data feature this returns true. If no information was received, or the engine is not using the durable-data feature, returns false.
      Returns:
        true if the engine is using the durable-data feature.

    - #### max_tables

          public java.lang.Integer max_tables()

      Returns the maximum number of tables allowed by the engine. If null is returned, the engine is limited only by available memory.
      Returns:
        the maximum number of tables allowed by the engine, or null if the engine is limited only by available memory.

    - #### tranIdleTimeout

          public int tranIdleTimeout()

      Return the current idle transaction timeout setting, in seconds. This returns the current idle transaction timeout setting on the server. The value is in seconds. A value of zero indicates there is no time out. A value of -1 indicates the server did not return a value.
      Returns:
        the current idle transaction timeout setting, in seconds.
      See Also:
        `NetricsServerInterface.tranSetIdleOpts(int, java.lang.String)`

    - #### tranIdleAction

          public java.lang.String tranIdleAction()

      Return the current idle transaction action setting. This returns the current idle transaction action setting on the server. A value of "<none>" indicates the server did not return a value. See the tranSetIdleOpts method of the NetricsServerInterface class for an explanation of the other values.
      Returns:
        the current idle transaction action setting.
      See Also:
        `NetricsServerInterface.tranSetIdleOpts(int, java.lang.String)`

    - #### gpu_accleration

          public boolean gpu_accleration()

      Returns:
        true if the server supports GPU acceleration of GIP indexing.

    - #### gpu_devices

          public NetricsGpuDeviceInfo[] gpu_devices()

      Return the list of GPU devices visible to the server.
      Returns:
        a list of GPU devices, or null if the server does not support GPU acceleration of GIP indexing.